@media (min-width: 768px) and (max-width: 991px) {
	/* Show 4th slide on md if col-md-4*/
	.carousel-inner-responsive .active.col-md-4.carousel-item-responsive + .carousel-item-responsive + .carousel-item-responsive + .carousel-item-responsive {
		position: absolute;
		top: 0;
		right: -33.3333%;  /*change this with javascript in the future*/
		z-index: -1;
		display: block;
		visibility: visible;
	}
}
@media (min-width: 576px) and (max-width: 768px) {
	/* Show 3rd slide on sm if col-sm-6*/
	.carousel-inner-responsive .active.col-sm-6.carousel-item-responsive + .carousel-item-responsive + .carousel-item-responsive {
		position: absolute;
		top: 0;
		right: -50%;  /*change this with javascript in the future*/
		z-index: -1;
		display: block;
		visibility: visible;
	}
}
@media (min-width: 576px) {
	.carousel-item-responsive {
		margin-right: 0;
	}
	/* show 2 items */
	.carousel-inner-responsive .active + .carousel-item-responsive {
		display: block;
	}
	.carousel-inner-responsive .carousel-item-responsive.active:not(.carousel-item-right):not(.carousel-item-left),
	.carousel-inner-responsive .carousel-item-responsive.active:not(.carousel-item-right):not(.carousel-item-left) + .carousel-item-responsive {
		transition: none;
	}
	.carousel-inner-responsive .carousel-item-next {
		position: relative;
		transform: translate3d(0, 0, 0);
	}
	/* left or forward direction */
	.carousel-inner-responsive .active.carousel-item-left + .carousel-item-next.carousel-item-left,
	.carousel-inner-responsive .carousel-item-next.carousel-item-left + .carousel-item-responsive,
	.carousel-inner-responsive .carousel-item-next.carousel-item-left + .carousel-item-responsive + .carousel-item-responsive {
		position: relative;
		transform: translate3d(-100%, 0, 0);
		visibility: visible;
	}
	/* farthest right hidden item must be also positioned for animations */
	.carousel-inner-responsive .carousel-item-prev.carousel-item-right {
		position: absolute;
		top: 0;
		left: 0;
		z-index: -1;
		display: block;
		visibility: visible;
	}
	/* right or prev direction */
	.carousel-inner-responsive .active.carousel-item-right + .carousel-item-prev.carousel-item-right,
	.carousel-inner-responsive .carousel-item-prev.carousel-item-right + .carousel-item-responsive,
	.carousel-inner-responsive .carousel-item-prev.carousel-item-right + .carousel-item-responsive + .carousel-item-responsive {
		position: relative;
		transform: translate3d(100%, 0, 0);
		visibility: visible;
		display: block;
		visibility: visible;
	}
}
/* MD */
@media (min-width: 768px) {
	/* show 3rd of 3 item slide */
	.carousel-inner-responsive .active + .carousel-item-responsive + .carousel-item-responsive {
		display: block;
	}
	.carousel-inner-responsive .carousel-item-responsive.active:not(.carousel-item-right):not(.carousel-item-left) + .carousel-item-responsive + .carousel-item-responsive {
		transition: none;
	}
	.carousel-inner-responsive .carousel-item-next {
		position: relative;
		transform: translate3d(0, 0, 0);
	}
	/* left or forward direction */
	.carousel-inner-responsive .carousel-item-next.carousel-item-left + .carousel-item-responsive + .carousel-item-responsive + .carousel-item-responsive {
		position: relative;
		transform: translate3d(-100%, 0, 0);
		visibility: visible;
	}
	/* right or prev direction */
	.carousel-inner-responsive .carousel-item-prev.carousel-item-right + .carousel-item-responsive + .carousel-item-responsive + .carousel-item-responsive {
		position: relative;
		transform: translate3d(100%, 0, 0);
		visibility: visible;
		display: block;
		visibility: visible;
	}
}
/* LG */
@media (min-width: 991px) {
	/* show 4th item */
	.carousel-inner-responsive .active + .carousel-item-responsive + .carousel-item-responsive + .carousel-item-responsive {
		display: block;
	}
	.carousel-inner-responsive .carousel-item-responsive.active:not(.carousel-item-right):not(.carousel-item-left) + .carousel-item-responsive + .carousel-item-responsive + .carousel-item-responsive {
		transition: none;
	}
	/* Show 5th slide on lg if col-lg-3 */
	.carousel-inner-responsive .active.col-lg-3.carousel-item-responsive + .carousel-item-responsive + .carousel-item-responsive + .carousel-item-responsive + .carousel-item-responsive {
		position: absolute;
		top: 0;
		right: -25%;  /*change this with javascript in the future*/
		z-index: -1;
		display: block;
		visibility: visible;
	}
	/* left or forward direction */
	.carousel-inner-responsive .carousel-item-next.carousel-item-left + .carousel-item-responsive + .carousel-item-responsive + .carousel-item-responsive + .carousel-item-responsive {
		position: relative;
		transform: translate3d(-100%, 0, 0);
		visibility: visible;
	}
	/* right or prev direction //t - previous slide direction last item animation fix */
	.carousel-inner-responsive .carousel-item-prev.carousel-item-right + .carousel-item-responsive + .carousel-item-responsive + .carousel-item-responsive + .carousel-item-responsive {
		position: relative;
		transform: translate3d(100%, 0, 0);
		visibility: visible;
		display: block;
		visibility: visible;
	}
}